AurionAI Docs

Reorder Business Rules

PUT
/api/v2/business-rules/reorder

Authorization

AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://loading/api/v2/business-rules/reorder" \  -H "Content-Type: application/json" \  -d '{    "ordered_ids": [      "string"    ]  }'
[
  {
    "actions": [
      {}
    ],
    "applies_to": "both",
    "auto_reverse": true,
    "conditions": {},
    "created_at": "2019-08-24T14:15:22Z",
    "description": "string",
    "enabled": true,
    "enforce_system_wide": false,
    "entity_type": "string",
    "execute_on": "both",
    "execution_count": 0,
    "form_id": "string",
    "id": "string",
    "last_fired_at": "2019-08-24T14:15:22Z",
    "name": "string",
    "priority_order": 0,
    "source": "manual",
    "updated_at": "2019-08-24T14:15:22Z"
  }
]
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}